import * as react from 'react';
import react__default, { ComponentProps } from 'react';
import { JSX } from '@happyreact/core';
export { defineCustomElements } from '@happyreact/core/loader';

interface StyleReactProps {
    class?: string;
    className?: string;
    style?: {
        [key: string]: any;
    };
}

declare const HrForm: react.ForwardRefExoticComponent<JSX.HrForm & Omit<react.HTMLAttributes<HTMLHrFormElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLHrFormElement>>;
declare const HrWidget: react.ForwardRefExoticComponent<JSX.HrWidget & Omit<react.HTMLAttributes<HTMLHrWidgetElement>, "style"> & StyleReactProps & react.RefAttributes<HTMLHrWidgetElement>>;

declare function Widget(props: ComponentProps<typeof HrWidget>): react__default.JSX.Element;

declare function Form(props: ComponentProps<typeof HrForm>): react__default.JSX.Element;

export { Form, HrForm, HrWidget, Widget };
